## nvidia-graphics-drivers-580 580.65.06

=== debian/changelog ===
nvidia-graphics-drivers-580 (580.65.06-0ubuntu0.22.04.4) jammy; urgency=medium

  * New upstream release 580.65.06 (LP: #2118901)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 28 Jul 2025 18:24:09 +0200

nvidia-graphics-drivers-570 (570.172.08-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.172.08 (LP: #2117176)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Jul 2025 20:00:08 +0200

nvidia-graphics-drivers-570 (570.169-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.169 (LP: #2115179)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 23 Jun 2025 10:20:07 +0200

nvidia-graphics-drivers-570 (570.153.02-0ubuntu0.22.04.2) jammy; urgency=medium

  * New upstream release 570.153.02 ERD4 (LP: #2110906)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 15 May 2025 16:17:49 +0200

nvidia-graphics-drivers-570 (570.144-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.144 ERD3 (LP: #2107759)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 21 Apr 2025 10:14:59 +0200

nvidia-graphics-drivers-570 (570.133.07-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.133.07 (LP: #2103552)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 18 Mar 2025 22:13:20 +0100

nvidia-graphics-drivers-570 (570.124.04-0ubuntu0.22.04.2) jammy; urgency=medium

  * New upstream release 570.124.04 (LP: #2100488)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 27 Feb 2025 14:18:35 +0100

nvidia-graphics-drivers-570 (570.86.16-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.86.16 UDA (LP: #2097270)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 03 Feb 2025 15:01:14 +0100
