## nvidia-graphics-drivers-580 580.76.05

=== debian/changelog ===
nvidia-graphics-drivers-580 (580.76.05-0ubuntu4) questing; urgency=medium

  * New upstream release 580.76.05 (LP: #2118901)
  * fix 6.17

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 26 Aug 2025 20:16:17 +0200

nvidia-graphics-drivers-580 (580.76.05-0ubuntu2) questing; urgency=medium

  * New upstream release 580.76.05 (LP: #2118901)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 19 Aug 2025 10:49:21 +0200

nvidia-graphics-drivers-580 (580.65.06-0ubuntu3) questing; urgency=medium

  * New upstream release 580.65.06 (LP: #2118901)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 28 Jul 2025 13:00:33 +0200

nvidia-graphics-drivers-570 (570.172.08-0ubuntu1) questing; urgency=medium

  * New upstream release 570.172.08 (LP: #2117176)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Jul 2025 19:57:24 +0200

nvidia-graphics-drivers-570 (570.169-0ubuntu2) questing; urgency=medium

  * New upstream release 570.169 (LP: #2115179)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 23 Jun 2025 16:17:40 +0200

nvidia-graphics-drivers-570 (570.153.02-0ubuntu7) questing; urgency=medium

  * Fix -open variant FTBFS with Linux 6.16:
    - 0003-nv-dmabuf-Inline-dma_buf_attachment_is_dynamic.patch
    - 0004-nvidia-uvm-Disable-SVA-support-for-6.16.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 23 Jun 2025 13:46:52 +0200

nvidia-graphics-drivers-570 (570.153.02-0ubuntu6) questing; urgency=medium

  * Apply GPL compatibility fix for v6.16 too

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 19 Jun 2025 15:48:02 +0200

nvidia-graphics-drivers-570 (570.153.02-0ubuntu5) questing; urgency=medium

  * Preserve video memory on suspend/resume

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 19:02:28 +0200

nvidia-graphics-drivers-570 (570.153.02-0ubuntu4) questing; urgency=medium

  * Fix GPL compatibility

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 03 Jun 2025 16:34:52 +0200

nvidia-graphics-drivers-570 (570.153.02-0ubuntu3) questing; urgency=medium

  * New upstream release 570.153.02 ERD4 (LP: #2110906)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 15 May 2025 16:14:26 +0200

nvidia-graphics-drivers-570 (570.144-0ubuntu1) questing; urgency=medium

  * New upstream release 570.144 ERD3 (LP: #2107759)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 21 Apr 2025 10:12:15 +0200

nvidia-graphics-drivers-570 (570.133.07-0ubuntu2) plucky; urgency=medium

  * New upstream release 570.133.07 (LP: #2103552)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 18 Mar 2025 22:10:24 +0100

nvidia-graphics-drivers-570 (570.124.04-0ubuntu3) plucky; urgency=medium

  * New upstream release 570.124.04 (LP: #2100488)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 27 Feb 2025 14:15:55 +0100

nvidia-graphics-drivers-570 (570.86.16-0ubuntu1) plucky; urgency=medium

  * New upstream release 570.86.16 UDA (LP: #2097270)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 03 Feb 2025 14:58:42 +0100
