=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends:
  debhelper (>= 12),
  dpkg-dev (>= 1.17.11~),
+ quilt,
  xz-utils,
  zstd,
  dkms,
@@ -32,10 +33,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-580 (= ${binary:Version}),
- nvidia-dkms-580 (<= 580.65.06-1),
- nvidia-dkms-580 (>= 580.65.06),
- nvidia-kernel-common-580 (<= 580.65.06-1),
- nvidia-kernel-common-580 (>= 580.65.06),
+ nvidia-dkms-580 (<= 580.76.05-1),
+ nvidia-dkms-580 (>= 580.76.05),
+ nvidia-kernel-common-580 (<= 580.76.05-1),
+ nvidia-kernel-common-580 (>= 580.76.05),
  nvidia-kernel-source-580 (= ${binary:Version}),
  libnvidia-compute-580 (= ${binary:Version}),
  libnvidia-extra-580 (= ${binary:Version}),
@@ -57,7 +58,7 @@
 XB-Modaliases: ${modaliases}
 XB-PmAliases: ${nvidia:pm-modaliases}
 XB-Prefer-Variant: Open
-XB-Support: LTSB
+XB-Support: NFB
 Description: NVIDIA driver metapackage
  This metapackage depends on the NVIDIA binary driver and on all of its libraries,
  to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
@@ -90,11 +91,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-580 (<= 580.65.06-1),
- nvidia-kernel-source-580 (>= 580.65.06),
- nvidia-kernel-common-580 (<= 580.65.06-1),
- nvidia-kernel-common-580 (>= 580.65.06),
- nvidia-firmware-580-580.65.06,
+ nvidia-kernel-source-580 (<= 580.76.05-1),
+ nvidia-kernel-source-580 (>= 580.76.05),
+ nvidia-kernel-common-580 (<= 580.76.05-1),
+ nvidia-kernel-common-580 (>= 580.76.05),
+ nvidia-firmware-580-580.76.05,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -122,7 +123,7 @@
 Architecture: i386 amd64 arm64
 Multi-Arch: same
 Depends:
-  ${misc:Depends}, ${shlibs:Depends}
+  ocl-icd-libopencl1, ${misc:Depends}, ${shlibs:Depends}
 Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
  libnvidia-ml1 (= ${source:Version}),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
@@ -180,8 +181,8 @@
 Package: nvidia-headless-no-dkms-580
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-580 (<= 580.65.06-1),
- nvidia-kernel-common-580 (>= 580.65.06),
+ nvidia-kernel-common-580 (<= 580.76.05-1),
+ nvidia-kernel-common-580 (>= 580.76.05),
  nvidia-kernel-source-580 (= ${binary:Version}),
  libnvidia-compute-580 (= ${binary:Version}),
  nvidia-compute-utils-580 (= ${binary:Version}),
@@ -218,7 +219,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-580.65.06
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-580.76.05
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -229,12 +230,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-580-580.65.06
+Package: nvidia-firmware-580-580.76.05
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-server-580.65.06
-Replaces:
- nvidia-firmware-580-server-580.65.06
+ nvidia-firmware-580-server-580.76.05
+Replaces:
+ nvidia-firmware-580-server-580.76.05
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -346,4 +347,3 @@
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
-Depends:
