## nvidia-graphics-drivers-580 580.82.07

=== debian/changelog ===
nvidia-graphics-drivers-580 (580.82.07-0ubuntu2) questing; urgency=medium

  * New upstream release 580.82.07 (LP: #2118901)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 29 Aug 2025 12:12:30 +0200
