=== debian/control ===
--- 
+++ 
@@ -33,10 +33,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-580 (= ${binary:Version}),
- nvidia-dkms-580 (<= 580.76.05-1),
- nvidia-dkms-580 (>= 580.76.05),
- nvidia-kernel-common-580 (<= 580.76.05-1),
- nvidia-kernel-common-580 (>= 580.76.05),
+ nvidia-dkms-580 (<= 580.82.07-1),
+ nvidia-dkms-580 (>= 580.82.07),
+ nvidia-kernel-common-580 (<= 580.82.07-1),
+ nvidia-kernel-common-580 (>= 580.82.07),
  nvidia-kernel-source-580 (= ${binary:Version}),
  libnvidia-compute-580 (= ${binary:Version}),
  libnvidia-extra-580 (= ${binary:Version}),
@@ -58,7 +58,7 @@
 XB-Modaliases: ${modaliases}
 XB-PmAliases: ${nvidia:pm-modaliases}
 XB-Prefer-Variant: Open
-XB-Support: NFB
+XB-Support: LTSB
 Description: NVIDIA driver metapackage
  This metapackage depends on the NVIDIA binary driver and on all of its libraries,
  to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
@@ -91,11 +91,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-580 (<= 580.76.05-1),
- nvidia-kernel-source-580 (>= 580.76.05),
- nvidia-kernel-common-580 (<= 580.76.05-1),
- nvidia-kernel-common-580 (>= 580.76.05),
- nvidia-firmware-580-580.76.05,
+ nvidia-kernel-source-580 (<= 580.82.07-1),
+ nvidia-kernel-source-580 (>= 580.82.07),
+ nvidia-kernel-common-580 (<= 580.82.07-1),
+ nvidia-kernel-common-580 (>= 580.82.07),
+ nvidia-firmware-580-580.82.07,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -181,8 +181,8 @@
 Package: nvidia-headless-no-dkms-580
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-580 (<= 580.76.05-1),
- nvidia-kernel-common-580 (>= 580.76.05),
+ nvidia-kernel-common-580 (<= 580.82.07-1),
+ nvidia-kernel-common-580 (>= 580.82.07),
  nvidia-kernel-source-580 (= ${binary:Version}),
  libnvidia-compute-580 (= ${binary:Version}),
  nvidia-compute-utils-580 (= ${binary:Version}),
@@ -219,7 +219,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-580.76.05
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-580.82.07
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -230,12 +230,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-580-580.76.05
+Package: nvidia-firmware-580-580.82.07
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-server-580.76.05
-Replaces:
- nvidia-firmware-580-server-580.76.05
+ nvidia-firmware-580-server-580.82.07
+Replaces:
+ nvidia-firmware-580-server-580.82.07
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
