=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends:
  debhelper (>= 12),
  dpkg-dev (>= 1.17.11~),
- quilt,
  xz-utils,
  zstd,
  dkms,
@@ -21,7 +20,7 @@
  libkmod-dev,
  libpciaccess-dev,
  pkg-config,
- libnvidia-egl-wayland1,
+ libnvidia-egl-wayland-dev,
  libc6,
  libx11-6,
  python3,
@@ -33,10 +32,8 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-580 (= ${binary:Version}),
- nvidia-dkms-580 (<= 580.82.07-1),
- nvidia-dkms-580 (>= 580.82.07),
- nvidia-kernel-common-580 (<= 580.82.07-1),
- nvidia-kernel-common-580 (>= 580.82.07),
+ nvidia-dkms-580 (= ${binary:Version}),
+ nvidia-kernel-common-580 (= ${binary:Version}),
  nvidia-kernel-source-580 (= ${binary:Version}),
  libnvidia-compute-580 (= ${binary:Version}),
  libnvidia-extra-580 (= ${binary:Version}),
@@ -57,8 +54,7 @@
  libnvidia-gl-580:i386 (= ${binary:Version}) [amd64]
 XB-Modaliases: ${modaliases}
 XB-PmAliases: ${nvidia:pm-modaliases}
-XB-Prefer-Variant: Open
-XB-Support: LTSB
+XB-Support: PB
 Description: NVIDIA driver metapackage
  This metapackage depends on the NVIDIA binary driver and on all of its libraries,
  to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
@@ -72,6 +68,8 @@
 Multi-Arch: foreign
 Conflicts:
  nvidia-kernel-source
+Replaces:
+ nvidia-kernel-source, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Provides:
  nvidia-kernel-source
 Depends:
@@ -85,17 +83,16 @@
 Multi-Arch: foreign
 Conflicts:
  nvidia-dkms-kernel
-Replaces:
+Breaks: nvidia-kernel-source-580 (<< 390.25-0ubuntu2~)
+Replaces:
+ nvidia-dkms-kernel, nvidia-kernel-source-580 (<< 390.25-0ubuntu2~), nvidia-384 (<< 390.25)
+Provides:
  nvidia-dkms-kernel
-Provides:
- nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-580 (<= 580.82.07-1),
- nvidia-kernel-source-580 (>= 580.82.07),
- nvidia-kernel-common-580 (<= 580.82.07-1),
- nvidia-kernel-common-580 (>= 580.82.07),
- nvidia-firmware-580-580.82.07,
+ nvidia-kernel-source-580 (= ${binary:Version}),
+ nvidia-kernel-common-580 (= ${binary:Version}),
+ nvidia-firmware-580 (= ${binary:Version}),,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -123,7 +120,7 @@
 Architecture: i386 amd64 arm64
 Multi-Arch: same
 Depends:
-  ocl-icd-libopencl1, ${misc:Depends}, ${shlibs:Depends}
+  ${misc:Depends}, ${shlibs:Depends}
 Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
  libnvidia-ml1 (= ${source:Version}),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
@@ -131,9 +128,7 @@
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
  libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
- libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
- libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1, libcuda-12.5-1,
- libcuda-12.6-1, libcuda-12.7-1, libcuda-12.8-1,
+ libcuda-11.7-1,
  libcuda.so.1 (= ${source:Version}),
  libcuda1 (= ${source:Version})
 Conflicts: libnvidia-compute, nvidia-opencl-icd,
@@ -142,18 +137,14 @@
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
  libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
- libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
- libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1, libcuda-12.5-1,
- libcuda-12.6-1, libcuda-12.7-1, libcuda-12.8-1
-Replaces: libnvidia-compute, nvidia-opencl-icd,
+ libcuda-11.7-1
+Replaces: libnvidia-compute, nvidia-opencl-icd, libnvidia-compute-580 (<< 390.25-0ubuntu2~),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
  libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
  libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
- libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
- libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1, libcuda-12.5-1,
- libcuda-12.6-1, libcuda-12.7-1, libcuda-12.8-1
+ libcuda-11.7-1
 Description: NVIDIA libcompute package
  This package provides a set of libraries which enable the NVIDIA driver
  to use GPUs for parallel general purpose computation through CUDA and
@@ -180,9 +171,11 @@
 
 Package: nvidia-headless-no-dkms-580
 Architecture: amd64 arm64
-Depends:
- nvidia-kernel-common-580 (<= 580.82.07-1),
- nvidia-kernel-common-580 (>= 580.82.07),
+Conflicts: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
+Provides: nvidia-384
+Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
+Depends:
+ nvidia-kernel-common-580 (= ${binary:Version}),
  nvidia-kernel-source-580 (= ${binary:Version}),
  libnvidia-compute-580 (= ${binary:Version}),
  nvidia-compute-utils-580 (= ${binary:Version}),
@@ -219,9 +212,9 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-580.82.07
-Replaces:
- nvidia-kernel-common
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580 (= ${binary:Version}),
+Replaces:
+ nvidia-dkms-580 (<< 390.48-0ubuntu3~), nvidia-kernel-common
 Description: Shared files used with the kernel module
  This package installs all the optional accessory files for the NVIDIA
  kernel module.
@@ -230,12 +223,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-580-580.82.07
+Package: nvidia-firmware-580
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-server-580.82.07
-Replaces:
- nvidia-firmware-580-server-580.82.07
+ nvidia-firmware-580-server-580.95.05, nvidia-firmware-580 (<< ${binary:Version}), nvidia-firmware-570, nvidia-firmware-575
+Replaces:
+ nvidia-firmware-580-server-580.95.05, nvidia-firmware-580 (<< ${binary:Version}), nvidia-firmware-570, nvidia-firmware-575
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -245,8 +238,8 @@
 Package: libnvidia-gl-580
 Architecture: i386 amd64 arm64
 Multi-Arch: same
-Conflicts: libnvidia-gl, libnvidia-egl-gbm1
-Replaces: libnvidia-gl
+Conflicts: libnvidia-gl
+Replaces: libnvidia-gl, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Provides: libnvidia-gl, libglx-vendor, libegl-vendor
 Depends:
  libnvidia-common-580, ${misc:Depends}, ${shlibs:Depends},
@@ -258,8 +251,9 @@
 Package: libnvidia-common-580
 Architecture: all
 Multi-Arch: foreign
+Breaks: libnvidia-gl-580 (<< 390.25-0ubuntu2~)
 Conflicts: libnvidia-common
-Replaces: libnvidia-common
+Replaces: libnvidia-common, libnvidia-gl-580 (<< 390.25-0ubuntu2~)
 Provides: libnvidia-common
 Depends:
  ${misc:Depends}, ${shlibs:Depends}
@@ -344,6 +338,3 @@
 
 Package: libnvidia-decode-580
 Architecture: i386 amd64 arm64
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
