## nvidia-graphics-drivers-580 580.126.09

=== debian/changelog ===
nvidia-graphics-drivers-580 (2:580.126.09-1tux1) noble-nvidia; urgency=medium

  * New upstream release.

    - Fixed a bug that prevented certain display modes that require YUV 4:2:0 subsampling from working.
    - Improved compatibility with recent Linux kernels.
    - Updated libnvidia-egl-gbm to commit a73cbce to support FP16 DRM formats.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 14 Jan 2026 13:31:14 +0100

nvidia-graphics-drivers-580 (2:580.119.02-1tux1) noble-nvidia; urgency=medium

  * New upstream release.

    - Fixed a bug that caused display corruption on LG Ultragear monitors when certain modes were used.
    - Fixed a bug that caused corruption in X-Plane on workstation GPUs.
    - Fixed a regression introduced in 580.65.06, that caused some mode timings, such as 1920x1080@75, to no longer be available.
    - Reverted a change that led to a user regression in 580.119.02 that caused display modes to be invalidated on a number of monitors.
    - Fixed a bug that caused the Dots Per Inch (DPI) to be incorrectly reported for some monitors such as the Samsung Odyssey Neo G9.
    - Fixed several problems that prevented Vulkan applications from working on Venus VirtIO virtual GPU, on Volta and newer.
    - Fixed the following EGL platform bugs that prevented multisample configurations from working:
       - https://github.com/NVIDIA/egl-wayland2/issues/9
       - https://github.com/NVIDIA/egl-x11/issues/29
       - https://github.com/NVIDIA/egl-x11/pull/28

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 12 Dec 2025 08:43:54 +0100

nvidia-graphics-drivers-580 (2:580.105.08-1tux1) noble-nvidia; urgency=medium

  * New upstream release.
    https://www.nvidia.com/en-us/drivers/details/257493/

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 05 Nov 2025 10:12:07 +0100
