=== debian/control ===
--- 
+++ 
@@ -226,9 +226,9 @@
 Package: nvidia-firmware-580
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-server-580.95.05, nvidia-firmware-580 (<< ${binary:Version}), nvidia-firmware-570, nvidia-firmware-575
-Replaces:
- nvidia-firmware-580-server-580.95.05, nvidia-firmware-580 (<< ${binary:Version}), nvidia-firmware-570, nvidia-firmware-575
+ nvidia-firmware-580-server-580.126.09, nvidia-firmware-580 (<< ${binary:Version}), nvidia-firmware-570, nvidia-firmware-575
+Replaces:
+ nvidia-firmware-580-server-580.126.09, nvidia-firmware-580 (<< ${binary:Version}), nvidia-firmware-570, nvidia-firmware-575
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
